For the complete documentation index, see llms.txt. This page is also available as Markdown.

getShare

Perform various delete operations on share records.

Symitar eDocs References: Coming soon.

Operations

getShareSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
Responses
200

Successful operation.

application/json
post/getShareSelectFields
POST /nexum/627/persistent/account/getShareSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 311

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "ShareId": "0020",
  "SelectableFields": {
    "IncludeAllShareFields": false,
    "ShareFields": {
      "Id": true,
      "Description": true,
      "Type": true,
      "MicrAcctNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Share": {
    "Id": "0020",
    "Description": "CLASSIC CHECKING",
    "Type": 20,
    "MicrAcctNumber": null
  },
  "MessageId": "getShareSelectFields"
}

getShareSelectFieldsFilterChildren

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
Responses
200

Successful operation.

application/json
post/getShareSelectFieldsFilterChildren
POST /nexum/627/persistent/account/getShareSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 465

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  },
  "AccountNumber": "0000015812",
  "ShareId": "0001",
  "SelectableFields": {
    "ShareFields": {
      "Id": true,
      "Description": true,
      "Type": true,
      "Balance": true
    }
  },
  "ChildrenSearchFilter": {
    "ShareHoldFilter": {
      "Query": ""
    },
    "ShareNameFilter": {
      "Query": ""
    },
    "ShareNoteFilter": {
      "Query": ""
    },
    "ShareTrackingFilter": {
      "Query": ""
    },
    "ShareTransactionFilter": {
      "Query": ""
    }
  }
}
200

Successful operation.

{
  "Share": {
    "Id": "0001",
    "Description": "SAVINGS",
    "Type": 1,
    "Balance": "2660.46",
    "ShareHoldList": [],
    "ShareNameList": [],
    "ShareNoteList": [],
    "ShareTrackingList": [],
    "ShareTransactionList": []
  },
  "MessageId": "getShareSelectFieldsFilterChildren"
}

getSharePagedListSelectFields

post
Authorizations
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getSharePagedListSelectFields
POST /nexum/627/persistent/account/getSharePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 373

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllShareFields": false,
    "ShareFields": {
      "Id": true,
      "Description": true,
      "Type": true,
      "MicrAcctNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Share": [
    {
      "Id": "0001",
      "Description": "SAVINGS",
      "Type": 1,
      "MicrAcctNumber": null
    },
    {
      "Id": "0020",
      "Description": "CLASSIC CHECKING",
      "Type": 20,
      "MicrAcctNumber": null
    },
    {
      "Id": "0104",
      "Description": "60 MONTH JUMBO CERTIFICATE",
      "Type": 160,
      "MicrAcctNumber": null
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getSharePagedListSelectFields"
}

getShareAnalysisSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
ShareAnalysisLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getShareAnalysisSelectFields
POST /nexum/627/persistent/account/getShareAnalysisSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 620

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "ShareId": "text",
  "ShareAnalysisLocator": 1,
  "SelectableFields": {
    "IncludeAllShareAnalysisFields": true,
    "ShareAnalysisFields": {
      "CashAmtTotal": true,
      "Counter": [
        1
      ],
      "Locator": true,
      "Plan": true,
      "RecordChangeDate": true,
      "StatementDate": true,
      "StatementGroup": true,
      "StatementPrevDate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ShareAnalysis": {
    "CashAmtTotal": 1,
    "Counter": [
      {
        "EntryId": 1,
        "Counter": 1
      }
    ],
    "Locator": 1,
    "Plan": 1,
    "RecordChangeDate": "2026-01-01",
    "StatementDate": "2026-01-01",
    "StatementGroup": 1,
    "StatementPrevDate": "2026-01-01"
  }
}

getShareAnalysisPagedListSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getShareAnalysisPagedListSelectFields
POST /nexum/627/persistent/account/getShareAnalysisPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 437

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "ShareId": "0020",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllShareAnalysisFields": false,
    "ShareAnalysisFields": {
      "Locator": true,
      "Plan": true,
      "StatementDate": true,
      "StatementGroup": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ShareAnalysis": [],
  "Token": null,
  "MessageId": "getShareAnalysisPagedListSelectFields"
}

getShareAnalysisGroupSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
ShareAnalysisGroupLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getShareAnalysisGroupSelectFields
POST /nexum/627/persistent/account/getShareAnalysisGroupSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 568

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "ShareId": "text",
  "ShareAnalysisGroupLocator": 1,
  "SelectableFields": {
    "IncludeAllShareAnalysisGroupFields": true,
    "ShareAnalysisGroupFields": {
      "AccountNumber": true,
      "Comment1": true,
      "Id": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ShareAnalysisGroup": {
    "AccountNumber": "text",
    "Comment1": "text",
    "Id": "text",
    "Locator": 1,
    "RecordChangeDate": "2026-01-01"
  }
}

getShareAnalysisGroupPagedListSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getShareAnalysisGroupPagedListSelectFields
POST /nexum/627/persistent/account/getShareAnalysisGroupPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 439

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "ShareId": "0020",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllShareAnalysisGroupFields": false,
    "ShareAnalysisGroupFields": {
      "Locator": true,
      "Id": true,
      "AccountNumber": true,
      "Comment1": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ShareAnalysisGroup": [],
  "Token": null,
  "MessageId": "getShareAnalysisGroupPagedListSelectFields"
}

getShareAnalysisPlanSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
ShareAnalysisPlanLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getShareAnalysisPlanSelectFields
POST /nexum/627/persistent/account/getShareAnalysisPlanSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 964

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "ShareId": "text",
  "ShareAnalysisPlanLocator": 1,
  "SelectableFields": {
    "IncludeAllShareAnalysisPlanFields": true,
    "ShareAnalysisPlanFields": {
      "CashAmountFree": true,
      "CashAtmTotals": true,
      "CashRate": true,
      "Charge": [
        1
      ],
      "ChargeType": [
        1
      ],
      "DefinedCode": true,
      "Description": true,
      "EarnRateMethod": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Free": [
        1
      ],
      "Locator": true,
      "MaintenanceCharge": true,
      "MaximumCharge": true,
      "MinimumCharge": true,
      "Plan": true,
      "RecordChangeDate": true,
      "Tier1Balance": true,
      "Tier1EarnRate": true,
      "Tier2Balance": true,
      "Tier2EarnRate": true,
      "Tier3Balance": true,
      "Tier3EarnRate": true,
      "Tier4Balance": true,
      "Tier4EarnRate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ShareAnalysisPlan": {
    "CashAmountFree": 1,
    "CashAtmTotals": 1,
    "CashRate": 1,
    "Charge": [
      {
        "EntryId": 1,
        "Charge": 1
      }
    ],
    "ChargeType": [
      {
        "EntryId": 1,
        "ChargeType": 1
      }
    ],
    "DefinedCode": 1,
    "Description": "text",
    "EarnRateMethod": 1,
    "EffectiveDate": "2026-01-01",
    "ExpirationDate": "2026-01-01",
    "Free": [
      {
        "EntryId": 1,
        "Free": 1
      }
    ],
    "Locator": 1,
    "MaintenanceCharge": 1,
    "MaximumCharge": 1,
    "MinimumCharge": 1,
    "Plan": 1,
    "RecordChangeDate": "2026-01-01",
    "Tier1Balance": 1,
    "Tier1EarnRate": 1,
    "Tier2Balance": 1,
    "Tier2EarnRate": 1,
    "Tier3Balance": 1,
    "Tier3EarnRate": 1,
    "Tier4Balance": 1,
    "Tier4EarnRate": 1
  }
}

getShareAnalysisPlanPagedListSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getShareAnalysisPlanPagedListSelectFields
POST /nexum/627/persistent/account/getShareAnalysisPlanPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 421

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "ShareId": "0020",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllShareAnalysisPlanFields": false,
    "ShareAnalysisPlanFields": {
      "Locator": true,
      "Plan": true,
      "Description": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ShareAnalysisPlan": [],
  "Token": null,
  "MessageId": "getShareAnalysisPlanPagedListSelectFields"
}

getShareCheckOrderSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
ShareCheckOrderLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getShareCheckOrderSelectFields
POST /nexum/627/persistent/account/getShareCheckOrderSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 1620

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "ShareId": "text",
  "ShareCheckOrderLocator": 1,
  "SelectableFields": {
    "IncludeAllShareCheckOrderFields": true,
    "ShareCheckOrderFields": {
      "Accent": true,
      "AcctAddrInkColor": true,
      "BillingCode": true,
      "Binding": true,
      "Branch": true,
      "BusBindingStyle": true,
      "BusCaptions": [
        1
      ],
      "BusNumCopies": true,
      "BusVoucherNumber": true,
      "BusinessSerial": true,
      "ChargeShipping": true,
      "CheckInitials": true,
      "CheckStyle": true,
      "CheckType": true,
      "CoverInitials": true,
      "CoverStyle": true,
      "CutInkColor": true,
      "CutNumber": true,
      "Design": true,
      "ImprintCity": true,
      "ImprintFont": true,
      "ImprintJustify": true,
      "ImprintLine": [
        1
      ],
      "ImprintLineSize": [
        1
      ],
      "ImprintPhone": true,
      "ImprintState": true,
      "ImprintUsage": [
        1
      ],
      "ImprintZipCode": true,
      "LastFmDate": true,
      "LastFreeOrder": true,
      "LastOrderDate": true,
      "License": [
        1
      ],
      "Locator": true,
      "MailAddress": [
        1
      ],
      "MailCity": true,
      "MailState": true,
      "MailZipCode": true,
      "MicrLine": true,
      "NumberSigLines": true,
      "OpenDate": true,
      "OverSigFont": true,
      "OverSigJustify": true,
      "OverSigLine": [
        1
      ],
      "OverSigLineSize": true,
      "Phantom": true,
      "PoNumber": true,
      "Processor": true,
      "PromoNumber": true,
      "Quantity": true,
      "RecordChangeDate": true,
      "RerunReason": true,
      "ShipMethod": true,
      "ShipTo": true,
      "SigFigure": true,
      "SpecialInstr": [
        1
      ],
      "Ssn": [
        1
      ],
      "StartNumber": true,
      "Status": true,
      "StatusDate": true,
      "TaxExemptCode": true,
      "TitleInkColor": true,
      "UserId": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ShareCheckOrder": {
    "Accent": "text",
    "AcctAddrInkColor": 1,
    "BillingCode": 1,
    "Binding": "text",
    "Branch": 1,
    "BusBindingStyle": 1,
    "BusCaptions": [
      {
        "EntryId": 1,
        "BusCaptions": "text"
      }
    ],
    "BusNumCopies": 1,
    "BusVoucherNumber": "text",
    "BusinessSerial": "text",
    "ChargeShipping": 1,
    "CheckInitials": "text",
    "CheckStyle": "text",
    "CheckType": 1,
    "CoverInitials": "text",
    "CoverStyle": "text",
    "CutInkColor": 1,
    "CutNumber": "text",
    "Design": "text",
    "ImprintCity": "text",
    "ImprintFont": 1,
    "ImprintJustify": 1,
    "ImprintLine": [
      {
        "EntryId": 1,
        "ImprintLine": "text"
      }
    ],
    "ImprintLineSize": [
      {
        "EntryId": 1,
        "ImprintLineSize": 1
      }
    ],
    "ImprintPhone": "text",
    "ImprintState": "text",
    "ImprintUsage": [
      {
        "EntryId": 1,
        "ImprintUsage": 1
      }
    ],
    "ImprintZipCode": "text",
    "LastFmDate": "2026-01-01",
    "LastFreeOrder": "2026-01-01",
    "LastOrderDate": "2026-01-01",
    "License": [
      {
        "EntryId": 1,
        "License": "text"
      }
    ],
    "Locator": 1,
    "MailAddress": [
      {
        "EntryId": 1,
        "MailAddress": "text"
      }
    ],
    "MailCity": "text",
    "MailState": "text",
    "MailZipCode": "text",
    "MicrLine": "text",
    "NumberSigLines": 1,
    "OpenDate": "2026-01-01",
    "OverSigFont": 1,
    "OverSigJustify": 1,
    "OverSigLine": [
      {
        "EntryId": 1,
        "OverSigLine": "text"
      }
    ],
    "OverSigLineSize": 1,
    "Phantom": "text",
    "PoNumber": "text",
    "Processor": 1,
    "PromoNumber": "text",
    "Quantity": 1,
    "RecordChangeDate": "2026-01-01",
    "RerunReason": 1,
    "ShipMethod": 1,
    "ShipTo": 1,
    "SigFigure": "text",
    "SpecialInstr": [
      {
        "EntryId": 1,
        "SpecialInstr": "text"
      }
    ],
    "Ssn": [
      {
        "EntryId": 1,
        "Ssn": "text"
      }
    ],
    "StartNumber": 1,
    "Status": 1,
    "StatusDate": "2026-01-01",
    "TaxExemptCode": 1,
    "TitleInkColor": 1,
    "UserId": 1
  }
}

getShareCheckOrderPagedListSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getShareCheckOrderPagedListSelectFields
POST /nexum/627/persistent/account/getShareCheckOrderPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 438

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "ShareId": "0020",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllShareCheckOrderFields": false,
    "ShareCheckOrderFields": {
      "Locator": true,
      "StartNumber": true,
      "Quantity": true,
      "CheckType": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ShareCheckOrder": [],
  "Token": null,
  "MessageId": "getShareCheckOrderPagedListSelectFields"
}

getShareHoldSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
ShareHoldLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getShareHoldSelectFields
POST /nexum/627/persistent/account/getShareHoldSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 363

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "ShareId": "0020",
  "ShareHoldLocator": 263,
  "SelectableFields": {
    "IncludeAllShareHoldFields": false,
    "ShareHoldFields": {
      "Locator": true,
      "Type": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ShareHold": {
    "Locator": 263,
    "Type": 3,
    "Amount": "0.01",
    "EffectiveDate": "2010-05-08",
    "ExpirationDate": "2010-11-08"
  },
  "MessageId": "getShareHoldSelectFields"
}

getShareHoldPagedListSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getShareHoldPagedListSelectFields
POST /nexum/627/persistent/account/getShareHoldPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 443

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "ShareId": "0020",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllShareHoldFields": false,
    "ShareHoldFields": {
      "Locator": true,
      "Type": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ShareHold": [],
  "Token": null,
  "MessageId": "getShareHoldPagedListSelectFields"
}

getShareNoteSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
ShareNoteLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getShareNoteSelectFields
POST /nexum/627/persistent/account/getShareNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 664

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "ShareId": "text",
  "ShareNoteLocator": 1,
  "SelectableFields": {
    "IncludeAllShareNoteFields": true,
    "ShareNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        1
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ShareNote": {
    "Code": 1,
    "EnterDate": "2026-01-01",
    "EnterTime": 1,
    "ExpirationDate": "2026-01-01",
    "Id": "text",
    "IdType": 1,
    "Locator": 1,
    "RecordChangeDate": "2026-01-01",
    "Text": [
      {
        "EntryId": 1,
        "Text": "text"
      }
    ],
    "TextLineCount": 1,
    "UserId": 1,
    "VoidFlag": 1,
    "VoidedBy": 1
  }
}

getShareNotePagedListSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getShareNotePagedListSelectFields
POST /nexum/627/persistent/account/getShareNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 425

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "ShareId": "0020",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllShareNoteFields": false,
    "ShareNoteFields": {
      "Locator": true,
      "Code": true,
      "EnterDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ShareNote": [],
  "Token": null,
  "MessageId": "getShareNotePagedListSelectFields"
}

getShareTransactionPagedListSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getShareTransactionPagedListSelectFields
POST /nexum/627/persistent/account/getShareTransactionPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 483

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "ShareId": "0020",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 3,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllShareTransactionFields": false,
    "ShareTransactionFields": {
      "SequenceNumber": true,
      "PostDate": true,
      "ActionCode": true,
      "SourceCode": true,
      "BalanceChange": true,
      "NewBalance": true,
      "EffectiveDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ShareTransaction": [
    {
      "SequenceNumber": 9058,
      "PostDate": "2010-05-08",
      "ActionCode": null,
      "SourceCode": null,
      "BalanceChange": null,
      "NewBalance": null,
      "EffectiveDate": "2010-05-08"
    },
    {
      "SequenceNumber": 9057,
      "PostDate": "2010-05-08",
      "ActionCode": "W",
      "SourceCode": "S",
      "BalanceChange": "-10.00",
      "NewBalance": "10573.58",
      "EffectiveDate": "2010-05-08"
    },
    {
      "SequenceNumber": 8938,
      "PostDate": "2010-05-08",
      "ActionCode": "D",
      "SourceCode": "S",
      "BalanceChange": "0.01",
      "NewBalance": "10583.58",
      "EffectiveDate": "2010-05-08"
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getShareTransactionPagedListSelectFields"
}

getShareTransferSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
ShareTransferLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getShareTransferSelectFields
POST /nexum/627/persistent/account/getShareTransferSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 922

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "ShareId": "text",
  "ShareTransferLocator": 1,
  "SelectableFields": {
    "IncludeAllShareTransferFields": true,
    "ShareTransferFields": {
      "AccountNumber": true,
      "Amount": true,
      "AmountOption": true,
      "Day1": true,
      "Day2": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "ExtLoanAccount": true,
      "Frequency": true,
      "Id": true,
      "IdType": true,
      "LastDate": true,
      "Locator": true,
      "MaturityCheck": true,
      "MaximumBalance": true,
      "MinimumBalance": true,
      "NextDate": true,
      "PaymentType": true,
      "Percent": true,
      "RecordChangeDate": true,
      "RegE": true,
      "SweepFee": true,
      "SweepFeeId": true,
      "SweepFeeIdType": true,
      "SweepMinimum": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ShareTransfer": {
    "AccountNumber": "text",
    "Amount": 1,
    "AmountOption": 1,
    "Day1": 1,
    "Day2": 1,
    "EffectiveDate": "2026-01-01",
    "ExpirationDate": "2026-01-01",
    "ExtLoanAccount": "text",
    "Frequency": 1,
    "Id": "text",
    "IdType": 1,
    "LastDate": "2026-01-01",
    "Locator": 1,
    "MaturityCheck": 1,
    "MaximumBalance": 1,
    "MinimumBalance": 1,
    "NextDate": "2026-01-01",
    "PaymentType": 1,
    "Percent": 1,
    "RecordChangeDate": "2026-01-01",
    "RegE": 1,
    "SweepFee": 1,
    "SweepFeeId": "text",
    "SweepFeeIdType": 1,
    "SweepMinimum": 1,
    "Type": 1
  }
}

getShareTransferPagedListSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getShareTransferPagedListSelectFields
POST /nexum/627/persistent/account/getShareTransferPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 482

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "ShareId": "0020",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllShareTransferFields": false,
    "ShareTransferFields": {
      "Locator": true,
      "Type": true,
      "AccountNumber": true,
      "Id": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ShareTransfer": [],
  "Token": null,
  "MessageId": "getShareTransferPagedListSelectFields"
}

getShareNameSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
ShareNameLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getShareNameSelectFields
POST /nexum/627/persistent/account/getShareNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 3219

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "ShareId": "text",
  "ShareNameLocator": 1,
  "SelectableFields": {
    "IncludeAllShareNameFields": true,
    "ShareNameFields": {
      "ActiveDuty": true,
      "ActiveDutySeparationDate": true,
      "ActiveDutyStartDate": true,
      "ActiveDutyVerificationDate": true,
      "AddrCreateDate": true,
      "AddrDisconnectDate": true,
      "AddrExpDate": true,
      "AddrFmLastDate": true,
      "AddrFmLastPurgeDate": true,
      "AddrRecordChangeDate": true,
      "AddressType": true,
      "AltEmail": true,
      "BeneficialOwner": true,
      "BeneficialPercent": true,
      "BeneficiaryPercent": true,
      "BirthDate": true,
      "CarrierRoute": true,
      "Chapter4StatusCode": true,
      "City": true,
      "Confidential": true,
      "Country": true,
      "CountryCode": true,
      "CrAddrChgDate": true,
      "CrNameChgDate": true,
      "CrSsnChgDate": true,
      "CreditReportAddrIndicator": true,
      "CreditReportAddrIndicatorDate": true,
      "CreditReportConsumerInfo": true,
      "CreditReportConsumerInfoDate": true,
      "CtrExempt": true,
      "CurrGrossMonthPay": true,
      "CurrMonthPayChgDate": true,
      "CurrNetMonthPay": true,
      "DbaExtendedName": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaNameFormat": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "DbaTitle": true,
      "DeathDate": true,
      "EcoaCode": true,
      "EffectiveDate": true,
      "Email": true,
      "EmployerName": true,
      "ExpirationDate": true,
      "ExtendedName": true,
      "ExtraAddress": true,
      "ExtraInfo": true,
      "First": true,
      "FmLastPurgeDate": true,
      "ForeignTin": true,
      "FormW8OnFile": true,
      "GIin": true,
      "Headquarters": true,
      "HomePhone": true,
      "IdentDocFlag": [
        1
      ],
      "IdentIdDescription": [
        1
      ],
      "IdentIdExpireDate": [
        1
      ],
      "IdentIdIssueDate": [
        1
      ],
      "IdentIdNumber": [
        1
      ],
      "IdentIdType": [
        1
      ],
      "IdentIdVerifyDate": [
        1
      ],
      "Irs1042SAmendNum": true,
      "IrsCorrection": true,
      "IrsCountryCode": true,
      "Last": true,
      "LastAddrChgDate": true,
      "LastAddrVerifDate": true,
      "LastFmDate": true,
      "Lei": true,
      "License": true,
      "Lob": true,
      "Locator": true,
      "LongName": true,
      "MailOverride": true,
      "MarketingAddress": true,
      "MbrActivityDate": true,
      "MbrAddrFileType": true,
      "MbrAddrNumLink": true,
      "MbrAddrNumLinkChgDate": true,
      "MbrAddrNumber": true,
      "MbrCreateDate": true,
      "MbrDisconnectDate": true,
      "MbrExpDate": true,
      "MbrFileType": true,
      "MbrFmLastDate": true,
      "MbrFmLastPurgeDate": true,
      "MbrRecordChangeDate": true,
      "MbrStatus": true,
      "MbrStatusFmDate": true,
      "MemberNumLink": true,
      "MemberNumLinkChgDate": true,
      "MemberNumber": true,
      "Middle": true,
      "MobilePhone": true,
      "MothersMaidenName": true,
      "NameFormat": true,
      "NonAcctNameNum": true,
      "NraExemptionCode": true,
      "NraTaxRate": true,
      "Occupation": true,
      "PagerNumber": true,
      "PhoneType": true,
      "PreferredContact": true,
      "PreferredContactMethod": true,
      "RecordChangeDate": true,
      "Restrict": true,
      "Sex": true,
      "ShortName": true,
      "Ssn": true,
      "SsnCertification": true,
      "SsnOverride": true,
      "SsnType": true,
      "State": true,
      "Street": true,
      "SubType": true,
      "SubstantialOwner": true,
      "Suffix": true,
      "Title": true,
      "Type": true,
      "UsPersonFlag": true,
      "UserAmount1": true,
      "UserAmount2": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserDate1": true,
      "UserDate2": true,
      "W8ExpirationDate": true,
      "WorkPhone": true,
      "WorkPhoneExtension": true,
      "ZipCode": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ShareName": {
    "ActiveDuty": 1,
    "ActiveDutySeparationDate": "2026-01-01",
    "ActiveDutyStartDate": "2026-01-01",
    "ActiveDutyVerificationDate": "2026-01-01",
    "AddrCreateDate": "2026-01-01",
    "AddrDisconnectDate": "2026-01-01",
    "AddrExpDate": "2026-01-01",
    "AddrFmLastDate": "2026-01-01",
    "AddrFmLastPurgeDate": "2026-01-01",
    "AddrRecordChangeDate": "2026-01-01",
    "AddressType": 1,
    "AltEmail": "text",
    "BeneficialOwner": 1,
    "BeneficialPercent": 1,
    "BeneficiaryPercent": 1,
    "BirthDate": "2026-01-01",
    "CarrierRoute": "text",
    "Chapter4StatusCode": "text",
    "City": "text",
    "Confidential": 1,
    "Country": "text",
    "CountryCode": "text",
    "CrAddrChgDate": "2026-01-01",
    "CrNameChgDate": "2026-01-01",
    "CrSsnChgDate": "2026-01-01",
    "CreditReportAddrIndicator": "text",
    "CreditReportAddrIndicatorDate": "2026-01-01",
    "CreditReportConsumerInfo": "text",
    "CreditReportConsumerInfoDate": "2026-01-01",
    "CtrExempt": 1,
    "CurrGrossMonthPay": 1,
    "CurrMonthPayChgDate": "2026-01-01",
    "CurrNetMonthPay": 1,
    "DbaExtendedName": "text",
    "DbaFirst": "text",
    "DbaLast": "text",
    "DbaLongName": "text",
    "DbaMiddle": "text",
    "DbaNameFormat": 1,
    "DbaShortName": "text",
    "DbaSuffix": "text",
    "DbaTitle": "text",
    "DeathDate": "2026-01-01",
    "EcoaCode": 1,
    "EffectiveDate": "2026-01-01",
    "Email": "text",
    "EmployerName": "text",
    "ExpirationDate": "2026-01-01",
    "ExtendedName": "text",
    "ExtraAddress": "text",
    "ExtraInfo": "text",
    "First": "text",
    "FmLastPurgeDate": "2026-01-01",
    "ForeignTin": "text",
    "FormW8OnFile": 1,
    "GIin": "text",
    "Headquarters": 1,
    "HomePhone": "text",
    "IdentDocFlag": [
      {
        "EntryId": 1,
        "IdentDocFlag": 1
      }
    ],
    "IdentIdDescription": [
      {
        "EntryId": 1,
        "IdentIdDescription": "text"
      }
    ],
    "IdentIdExpireDate": [
      {
        "EntryId": 1,
        "IdentIdExpireDate": "2026-01-01"
      }
    ],
    "IdentIdIssueDate": [
      {
        "EntryId": 1,
        "IdentIdIssueDate": "2026-01-01"
      }
    ],
    "IdentIdNumber": [
      {
        "EntryId": 1,
        "IdentIdNumber": "text"
      }
    ],
    "IdentIdType": [
      {
        "EntryId": 1,
        "IdentIdType": 1
      }
    ],
    "IdentIdVerifyDate": [
      {
        "EntryId": 1,
        "IdentIdVerifyDate": "2026-01-01"
      }
    ],
    "Irs1042SAmendNum": 1,
    "IrsCorrection": 1,
    "IrsCountryCode": "text",
    "Last": "text",
    "LastAddrChgDate": "2026-01-01",
    "LastAddrVerifDate": "2026-01-01",
    "LastFmDate": "2026-01-01",
    "Lei": "text",
    "License": "text",
    "Lob": "text",
    "Locator": 1,
    "LongName": "text",
    "MailOverride": 1,
    "MarketingAddress": 1,
    "MbrActivityDate": "2026-01-01",
    "MbrAddrFileType": 1,
    "MbrAddrNumLink": "text",
    "MbrAddrNumLinkChgDate": "2026-01-01",
    "MbrAddrNumber": "text",
    "MbrCreateDate": "2026-01-01",
    "MbrDisconnectDate": "2026-01-01",
    "MbrExpDate": "2026-01-01",
    "MbrFileType": 1,
    "MbrFmLastDate": "2026-01-01",
    "MbrFmLastPurgeDate": "2026-01-01",
    "MbrRecordChangeDate": "2026-01-01",
    "MbrStatus": 1,
    "MbrStatusFmDate": "2026-01-01",
    "MemberNumLink": "text",
    "MemberNumLinkChgDate": "2026-01-01",
    "MemberNumber": "text",
    "Middle": "text",
    "MobilePhone": "text",
    "MothersMaidenName": "text",
    "NameFormat": 1,
    "NonAcctNameNum": "text",
    "NraExemptionCode": "text",
    "NraTaxRate": 1,
    "Occupation": "text",
    "PagerNumber": "text",
    "PhoneType": 1,
    "PreferredContact": "text",
    "PreferredContactMethod": 1,
    "RecordChangeDate": "2026-01-01",
    "Restrict": 1,
    "Sex": "text",
    "ShortName": "text",
    "Ssn": "text",
    "SsnCertification": 1,
    "SsnOverride": 1,
    "SsnType": 1,
    "State": "text",
    "Street": "text",
    "SubType": 1,
    "SubstantialOwner": 1,
    "Suffix": "text",
    "Title": "text",
    "Type": 1,
    "UsPersonFlag": 1,
    "UserAmount1": 1,
    "UserAmount2": 1,
    "UserChar1": "text",
    "UserChar2": "text",
    "UserChar3": "text",
    "UserChar4": "text",
    "UserDate1": "2026-01-01",
    "UserDate2": "2026-01-01",
    "W8ExpirationDate": "2026-01-01",
    "WorkPhone": "text",
    "WorkPhoneExtension": "text",
    "ZipCode": "text"
  }
}

getShareNamePagedListSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getShareNamePagedListSelectFields
POST /nexum/627/persistent/account/getShareNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 3292

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "ShareId": "text",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 1,
    "Token": "text"
  },
  "SelectableFields": {
    "IncludeAllShareNameFields": true,
    "ShareNameFields": {
      "ActiveDuty": true,
      "ActiveDutySeparationDate": true,
      "ActiveDutyStartDate": true,
      "ActiveDutyVerificationDate": true,
      "AddrCreateDate": true,
      "AddrDisconnectDate": true,
      "AddrExpDate": true,
      "AddrFmLastDate": true,
      "AddrFmLastPurgeDate": true,
      "AddrRecordChangeDate": true,
      "AddressType": true,
      "AltEmail": true,
      "BeneficialOwner": true,
      "BeneficialPercent": true,
      "BeneficiaryPercent": true,
      "BirthDate": true,
      "CarrierRoute": true,
      "Chapter4StatusCode": true,
      "City": true,
      "Confidential": true,
      "Country": true,
      "CountryCode": true,
      "CrAddrChgDate": true,
      "CrNameChgDate": true,
      "CrSsnChgDate": true,
      "CreditReportAddrIndicator": true,
      "CreditReportAddrIndicatorDate": true,
      "CreditReportConsumerInfo": true,
      "CreditReportConsumerInfoDate": true,
      "CtrExempt": true,
      "CurrGrossMonthPay": true,
      "CurrMonthPayChgDate": true,
      "CurrNetMonthPay": true,
      "DbaExtendedName": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaNameFormat": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "DbaTitle": true,
      "DeathDate": true,
      "EcoaCode": true,
      "EffectiveDate": true,
      "Email": true,
      "EmployerName": true,
      "ExpirationDate": true,
      "ExtendedName": true,
      "ExtraAddress": true,
      "ExtraInfo": true,
      "First": true,
      "FmLastPurgeDate": true,
      "ForeignTin": true,
      "FormW8OnFile": true,
      "GIin": true,
      "Headquarters": true,
      "HomePhone": true,
      "IdentDocFlag": [
        1
      ],
      "IdentIdDescription": [
        1
      ],
      "IdentIdExpireDate": [
        1
      ],
      "IdentIdIssueDate": [
        1
      ],
      "IdentIdNumber": [
        1
      ],
      "IdentIdType": [
        1
      ],
      "IdentIdVerifyDate": [
        1
      ],
      "Irs1042SAmendNum": true,
      "IrsCorrection": true,
      "IrsCountryCode": true,
      "Last": true,
      "LastAddrChgDate": true,
      "LastAddrVerifDate": true,
      "LastFmDate": true,
      "Lei": true,
      "License": true,
      "Lob": true,
      "Locator": true,
      "LongName": true,
      "MailOverride": true,
      "MarketingAddress": true,
      "MbrActivityDate": true,
      "MbrAddrFileType": true,
      "MbrAddrNumLink": true,
      "MbrAddrNumLinkChgDate": true,
      "MbrAddrNumber": true,
      "MbrCreateDate": true,
      "MbrDisconnectDate": true,
      "MbrExpDate": true,
      "MbrFileType": true,
      "MbrFmLastDate": true,
      "MbrFmLastPurgeDate": true,
      "MbrRecordChangeDate": true,
      "MbrStatus": true,
      "MbrStatusFmDate": true,
      "MemberNumLink": true,
      "MemberNumLinkChgDate": true,
      "MemberNumber": true,
      "Middle": true,
      "MobilePhone": true,
      "MothersMaidenName": true,
      "NameFormat": true,
      "NonAcctNameNum": true,
      "NraExemptionCode": true,
      "NraTaxRate": true,
      "Occupation": true,
      "PagerNumber": true,
      "PhoneType": true,
      "PreferredContact": true,
      "PreferredContactMethod": true,
      "RecordChangeDate": true,
      "Restrict": true,
      "Sex": true,
      "ShortName": true,
      "Ssn": true,
      "SsnCertification": true,
      "SsnOverride": true,
      "SsnType": true,
      "State": true,
      "Street": true,
      "SubType": true,
      "SubstantialOwner": true,
      "Suffix": true,
      "Title": true,
      "Type": true,
      "UsPersonFlag": true,
      "UserAmount1": true,
      "UserAmount2": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserDate1": true,
      "UserDate2": true,
      "W8ExpirationDate": true,
      "WorkPhone": true,
      "WorkPhoneExtension": true,
      "ZipCode": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ShareName": [
    {
      "ActiveDuty": 1,
      "ActiveDutySeparationDate": "2026-01-01",
      "ActiveDutyStartDate": "2026-01-01",
      "ActiveDutyVerificationDate": "2026-01-01",
      "AddrCreateDate": "2026-01-01",
      "AddrDisconnectDate": "2026-01-01",
      "AddrExpDate": "2026-01-01",
      "AddrFmLastDate": "2026-01-01",
      "AddrFmLastPurgeDate": "2026-01-01",
      "AddrRecordChangeDate": "2026-01-01",
      "AddressType": 1,
      "AltEmail": "text",
      "BeneficialOwner": 1,
      "BeneficialPercent": 1,
      "BeneficiaryPercent": 1,
      "BirthDate": "2026-01-01",
      "CarrierRoute": "text",
      "Chapter4StatusCode": "text",
      "City": "text",
      "Confidential": 1,
      "Country": "text",
      "CountryCode": "text",
      "CrAddrChgDate": "2026-01-01",
      "CrNameChgDate": "2026-01-01",
      "CrSsnChgDate": "2026-01-01",
      "CreditReportAddrIndicator": "text",
      "CreditReportAddrIndicatorDate": "2026-01-01",
      "CreditReportConsumerInfo": "text",
      "CreditReportConsumerInfoDate": "2026-01-01",
      "CtrExempt": 1,
      "CurrGrossMonthPay": 1,
      "CurrMonthPayChgDate": "2026-01-01",
      "CurrNetMonthPay": 1,
      "DbaExtendedName": "text",
      "DbaFirst": "text",
      "DbaLast": "text",
      "DbaLongName": "text",
      "DbaMiddle": "text",
      "DbaNameFormat": 1,
      "DbaShortName": "text",
      "DbaSuffix": "text",
      "DbaTitle": "text",
      "DeathDate": "2026-01-01",
      "EcoaCode": 1,
      "EffectiveDate": "2026-01-01",
      "Email": "text",
      "EmployerName": "text",
      "ExpirationDate": "2026-01-01",
      "ExtendedName": "text",
      "ExtraAddress": "text",
      "ExtraInfo": "text",
      "First": "text",
      "FmLastPurgeDate": "2026-01-01",
      "ForeignTin": "text",
      "FormW8OnFile": 1,
      "GIin": "text",
      "Headquarters": 1,
      "HomePhone": "text",
      "IdentDocFlag": [
        {
          "EntryId": 1,
          "IdentDocFlag": 1
        }
      ],
      "IdentIdDescription": [
        {
          "EntryId": 1,
          "IdentIdDescription": "text"
        }
      ],
      "IdentIdExpireDate": [
        {
          "EntryId": 1,
          "IdentIdExpireDate": "2026-01-01"
        }
      ],
      "IdentIdIssueDate": [
        {
          "EntryId": 1,
          "IdentIdIssueDate": "2026-01-01"
        }
      ],
      "IdentIdNumber": [
        {
          "EntryId": 1,
          "IdentIdNumber": "text"
        }
      ],
      "IdentIdType": [
        {
          "EntryId": 1,
          "IdentIdType": 1
        }
      ],
      "IdentIdVerifyDate": [
        {
          "EntryId": 1,
          "IdentIdVerifyDate": "2026-01-01"
        }
      ],
      "Irs1042SAmendNum": 1,
      "IrsCorrection": 1,
      "IrsCountryCode": "text",
      "Last": "text",
      "LastAddrChgDate": "2026-01-01",
      "LastAddrVerifDate": "2026-01-01",
      "LastFmDate": "2026-01-01",
      "Lei": "text",
      "License": "text",
      "Lob": "text",
      "Locator": 1,
      "LongName": "text",
      "MailOverride": 1,
      "MarketingAddress": 1,
      "MbrActivityDate": "2026-01-01",
      "MbrAddrFileType": 1,
      "MbrAddrNumLink": "text",
      "MbrAddrNumLinkChgDate": "2026-01-01",
      "MbrAddrNumber": "text",
      "MbrCreateDate": "2026-01-01",
      "MbrDisconnectDate": "2026-01-01",
      "MbrExpDate": "2026-01-01",
      "MbrFileType": 1,
      "MbrFmLastDate": "2026-01-01",
      "MbrFmLastPurgeDate": "2026-01-01",
      "MbrRecordChangeDate": "2026-01-01",
      "MbrStatus": 1,
      "MbrStatusFmDate": "2026-01-01",
      "MemberNumLink": "text",
      "MemberNumLinkChgDate": "2026-01-01",
      "MemberNumber": "text",
      "Middle": "text",
      "MobilePhone": "text",
      "MothersMaidenName": "text",
      "NameFormat": 1,
      "NonAcctNameNum": "text",
      "NraExemptionCode": "text",
      "NraTaxRate": 1,
      "Occupation": "text",
      "PagerNumber": "text",
      "PhoneType": 1,
      "PreferredContact": "text",
      "PreferredContactMethod": 1,
      "RecordChangeDate": "2026-01-01",
      "Restrict": 1,
      "Sex": "text",
      "ShortName": "text",
      "Ssn": "text",
      "SsnCertification": 1,
      "SsnOverride": 1,
      "SsnType": 1,
      "State": "text",
      "Street": "text",
      "SubType": 1,
      "SubstantialOwner": 1,
      "Suffix": "text",
      "Title": "text",
      "Type": 1,
      "UsPersonFlag": 1,
      "UserAmount1": 1,
      "UserAmount2": 1,
      "UserChar1": "text",
      "UserChar2": "text",
      "UserChar3": "text",
      "UserChar4": "text",
      "UserDate1": "2026-01-01",
      "UserDate2": "2026-01-01",
      "W8ExpirationDate": "2026-01-01",
      "WorkPhone": "text",
      "WorkPhoneExtension": "text",
      "ZipCode": "text"
    }
  ],
  "Token": "text"
}

getShareTrackingSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
ShareTrackingLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getShareTrackingSelectFields
POST /nexum/627/persistent/account/getShareTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 2838

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "ShareId": "text",
  "ShareTrackingLocator": 1,
  "SelectableFields": {
    "IncludeAllShareTrackingFields": true,
    "ShareTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true,
      "UserAmount19": true,
      "UserAmount2": true,
      "UserAmount20": true,
      "UserAmount3": true,
      "UserAmount4": true,
      "UserAmount5": true,
      "UserAmount6": true,
      "UserAmount7": true,
      "UserAmount8": true,
      "UserAmount9": true,
      "UserChar1": true,
      "UserChar10": true,
      "UserChar11": true,
      "UserChar12": true,
      "UserChar13": true,
      "UserChar14": true,
      "UserChar15": true,
      "UserChar16": true,
      "UserChar17": true,
      "UserChar18": true,
      "UserChar19": true,
      "UserChar2": true,
      "UserChar20": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserChar5": true,
      "UserChar6": true,
      "UserChar7": true,
      "UserChar8": true,
      "UserChar9": true,
      "UserCode1": true,
      "UserCode10": true,
      "UserCode11": true,
      "UserCode12": true,
      "UserCode13": true,
      "UserCode14": true,
      "UserCode15": true,
      "UserCode16": true,
      "UserCode17": true,
      "UserCode18": true,
      "UserCode19": true,
      "UserCode2": true,
      "UserCode20": true,
      "UserCode3": true,
      "UserCode4": true,
      "UserCode5": true,
      "UserCode6": true,
      "UserCode7": true,
      "UserCode8": true,
      "UserCode9": true,
      "UserDate1": true,
      "UserDate10": true,
      "UserDate11": true,
      "UserDate12": true,
      "UserDate13": true,
      "UserDate14": true,
      "UserDate15": true,
      "UserDate16": true,
      "UserDate17": true,
      "UserDate18": true,
      "UserDate19": true,
      "UserDate2": true,
      "UserDate20": true,
      "UserDate3": true,
      "UserDate4": true,
      "UserDate5": true,
      "UserDate6": true,
      "UserDate7": true,
      "UserDate8": true,
      "UserDate9": true,
      "UserId": true,
      "UserNumber1": true,
      "UserNumber10": true,
      "UserNumber11": true,
      "UserNumber12": true,
      "UserNumber13": true,
      "UserNumber14": true,
      "UserNumber15": true,
      "UserNumber16": true,
      "UserNumber17": true,
      "UserNumber18": true,
      "UserNumber19": true,
      "UserNumber2": true,
      "UserNumber20": true,
      "UserNumber3": true,
      "UserNumber4": true,
      "UserNumber5": true,
      "UserNumber6": true,
      "UserNumber7": true,
      "UserNumber8": true,
      "UserNumber9": true,
      "UserRate1": true,
      "UserRate10": true,
      "UserRate11": true,
      "UserRate12": true,
      "UserRate13": true,
      "UserRate14": true,
      "UserRate15": true,
      "UserRate16": true,
      "UserRate17": true,
      "UserRate18": true,
      "UserRate19": true,
      "UserRate2": true,
      "UserRate20": true,
      "UserRate3": true,
      "UserRate4": true,
      "UserRate5": true,
      "UserRate6": true,
      "UserRate7": true,
      "UserRate8": true,
      "UserRate9": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ShareTracking": {
    "CreationDate": "2026-01-01",
    "CreationTime": 1,
    "ExpireDate": "2026-01-01",
    "FmLastDate": "2026-01-01",
    "Id": "text",
    "IdType": 1,
    "Locator": 1,
    "RecordChangeDate": "2026-01-01",
    "TrackingCode": 1,
    "Type": 1,
    "UserAmount1": 1,
    "UserAmount10": 1,
    "UserAmount11": 1,
    "UserAmount12": 1,
    "UserAmount13": 1,
    "UserAmount14": 1,
    "UserAmount15": 1,
    "UserAmount16": 1,
    "UserAmount17": 1,
    "UserAmount18": 1,
    "UserAmount19": 1,
    "UserAmount2": 1,
    "UserAmount20": 1,
    "UserAmount3": 1,
    "UserAmount4": 1,
    "UserAmount5": 1,
    "UserAmount6": 1,
    "UserAmount7": 1,
    "UserAmount8": 1,
    "UserAmount9": 1,
    "UserChar1": "text",
    "UserChar10": "text",
    "UserChar11": "text",
    "UserChar12": "text",
    "UserChar13": "text",
    "UserChar14": "text",
    "UserChar15": "text",
    "UserChar16": "text",
    "UserChar17": "text",
    "UserChar18": "text",
    "UserChar19": "text",
    "UserChar2": "text",
    "UserChar20": "text",
    "UserChar3": "text",
    "UserChar4": "text",
    "UserChar5": "text",
    "UserChar6": "text",
    "UserChar7": "text",
    "UserChar8": "text",
    "UserChar9": "text",
    "UserCode1": 1,
    "UserCode10": 1,
    "UserCode11": 1,
    "UserCode12": 1,
    "UserCode13": 1,
    "UserCode14": 1,
    "UserCode15": 1,
    "UserCode16": 1,
    "UserCode17": 1,
    "UserCode18": 1,
    "UserCode19": 1,
    "UserCode2": 1,
    "UserCode20": 1,
    "UserCode3": 1,
    "UserCode4": 1,
    "UserCode5": 1,
    "UserCode6": 1,
    "UserCode7": 1,
    "UserCode8": 1,
    "UserCode9": 1,
    "UserDate1": "2026-01-01",
    "UserDate10": "2026-01-01",
    "UserDate11": "2026-01-01",
    "UserDate12": "2026-01-01",
    "UserDate13": "2026-01-01",
    "UserDate14": "2026-01-01",
    "UserDate15": "2026-01-01",
    "UserDate16": "2026-01-01",
    "UserDate17": "2026-01-01",
    "UserDate18": "2026-01-01",
    "UserDate19": "2026-01-01",
    "UserDate2": "2026-01-01",
    "UserDate20": "2026-01-01",
    "UserDate3": "2026-01-01",
    "UserDate4": "2026-01-01",
    "UserDate5": "2026-01-01",
    "UserDate6": "2026-01-01",
    "UserDate7": "2026-01-01",
    "UserDate8": "2026-01-01",
    "UserDate9": "2026-01-01",
    "UserId": 1,
    "UserNumber1": 1,
    "UserNumber10": 1,
    "UserNumber11": 1,
    "UserNumber12": 1,
    "UserNumber13": 1,
    "UserNumber14": 1,
    "UserNumber15": 1,
    "UserNumber16": 1,
    "UserNumber17": 1,
    "UserNumber18": 1,
    "UserNumber19": 1,
    "UserNumber2": 1,
    "UserNumber20": 1,
    "UserNumber3": 1,
    "UserNumber4": 1,
    "UserNumber5": 1,
    "UserNumber6": 1,
    "UserNumber7": 1,
    "UserNumber8": 1,
    "UserNumber9": 1,
    "UserRate1": 1,
    "UserRate10": 1,
    "UserRate11": 1,
    "UserRate12": 1,
    "UserRate13": 1,
    "UserRate14": 1,
    "UserRate15": 1,
    "UserRate16": 1,
    "UserRate17": 1,
    "UserRate18": 1,
    "UserRate19": 1,
    "UserRate2": 1,
    "UserRate20": 1,
    "UserRate3": 1,
    "UserRate4": 1,
    "UserRate5": 1,
    "UserRate6": 1,
    "UserRate7": 1,
    "UserRate8": 1,
    "UserRate9": 1
  }
}

getShareTrackingPagedListSelectFields

post
Authorizations
Body
AccountNumberstringOptional
ShareIdstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getShareTrackingPagedListSelectFields
POST /nexum/627/persistent/account/getShareTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 2907

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "ShareId": "text",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 1,
    "Token": "text"
  },
  "SelectableFields": {
    "IncludeAllShareTrackingFields": true,
    "ShareTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true,
      "UserAmount19": true,
      "UserAmount2": true,
      "UserAmount20": true,
      "UserAmount3": true,
      "UserAmount4": true,
      "UserAmount5": true,
      "UserAmount6": true,
      "UserAmount7": true,
      "UserAmount8": true,
      "UserAmount9": true,
      "UserChar1": true,
      "UserChar10": true,
      "UserChar11": true,
      "UserChar12": true,
      "UserChar13": true,
      "UserChar14": true,
      "UserChar15": true,
      "UserChar16": true,
      "UserChar17": true,
      "UserChar18": true,
      "UserChar19": true,
      "UserChar2": true,
      "UserChar20": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserChar5": true,
      "UserChar6": true,
      "UserChar7": true,
      "UserChar8": true,
      "UserChar9": true,
      "UserCode1": true,
      "UserCode10": true,
      "UserCode11": true,
      "UserCode12": true,
      "UserCode13": true,
      "UserCode14": true,
      "UserCode15": true,
      "UserCode16": true,
      "UserCode17": true,
      "UserCode18": true,
      "UserCode19": true,
      "UserCode2": true,
      "UserCode20": true,
      "UserCode3": true,
      "UserCode4": true,
      "UserCode5": true,
      "UserCode6": true,
      "UserCode7": true,
      "UserCode8": true,
      "UserCode9": true,
      "UserDate1": true,
      "UserDate10": true,
      "UserDate11": true,
      "UserDate12": true,
      "UserDate13": true,
      "UserDate14": true,
      "UserDate15": true,
      "UserDate16": true,
      "UserDate17": true,
      "UserDate18": true,
      "UserDate19": true,
      "UserDate2": true,
      "UserDate20": true,
      "UserDate3": true,
      "UserDate4": true,
      "UserDate5": true,
      "UserDate6": true,
      "UserDate7": true,
      "UserDate8": true,
      "UserDate9": true,
      "UserId": true,
      "UserNumber1": true,
      "UserNumber10": true,
      "UserNumber11": true,
      "UserNumber12": true,
      "UserNumber13": true,
      "UserNumber14": true,
      "UserNumber15": true,
      "UserNumber16": true,
      "UserNumber17": true,
      "UserNumber18": true,
      "UserNumber19": true,
      "UserNumber2": true,
      "UserNumber20": true,
      "UserNumber3": true,
      "UserNumber4": true,
      "UserNumber5": true,
      "UserNumber6": true,
      "UserNumber7": true,
      "UserNumber8": true,
      "UserNumber9": true,
      "UserRate1": true,
      "UserRate10": true,
      "UserRate11": true,
      "UserRate12": true,
      "UserRate13": true,
      "UserRate14": true,
      "UserRate15": true,
      "UserRate16": true,
      "UserRate17": true,
      "UserRate18": true,
      "UserRate19": true,
      "UserRate2": true,
      "UserRate20": true,
      "UserRate3": true,
      "UserRate4": true,
      "UserRate5": true,
      "UserRate6": true,
      "UserRate7": true,
      "UserRate8": true,
      "UserRate9": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ShareTracking": [
    {
      "CreationDate": "2026-01-01",
      "CreationTime": 1,
      "ExpireDate": "2026-01-01",
      "FmLastDate": "2026-01-01",
      "Id": "text",
      "IdType": 1,
      "Locator": 1,
      "RecordChangeDate": "2026-01-01",
      "TrackingCode": 1,
      "Type": 1,
      "UserAmount1": 1,
      "UserAmount10": 1,
      "UserAmount11": 1,
      "UserAmount12": 1,
      "UserAmount13": 1,
      "UserAmount14": 1,
      "UserAmount15": 1,
      "UserAmount16": 1,
      "UserAmount17": 1,
      "UserAmount18": 1,
      "UserAmount19": 1,
      "UserAmount2": 1,
      "UserAmount20": 1,
      "UserAmount3": 1,
      "UserAmount4": 1,
      "UserAmount5": 1,
      "UserAmount6": 1,
      "UserAmount7": 1,
      "UserAmount8": 1,
      "UserAmount9": 1,
      "UserChar1": "text",
      "UserChar10": "text",
      "UserChar11": "text",
      "UserChar12": "text",
      "UserChar13": "text",
      "UserChar14": "text",
      "UserChar15": "text",
      "UserChar16": "text",
      "UserChar17": "text",
      "UserChar18": "text",
      "UserChar19": "text",
      "UserChar2": "text",
      "UserChar20": "text",
      "UserChar3": "text",
      "UserChar4": "text",
      "UserChar5": "text",
      "UserChar6": "text",
      "UserChar7": "text",
      "UserChar8": "text",
      "UserChar9": "text",
      "UserCode1": 1,
      "UserCode10": 1,
      "UserCode11": 1,
      "UserCode12": 1,
      "UserCode13": 1,
      "UserCode14": 1,
      "UserCode15": 1,
      "UserCode16": 1,
      "UserCode17": 1,
      "UserCode18": 1,
      "UserCode19": 1,
      "UserCode2": 1,
      "UserCode20": 1,
      "UserCode3": 1,
      "UserCode4": 1,
      "UserCode5": 1,
      "UserCode6": 1,
      "UserCode7": 1,
      "UserCode8": 1,
      "UserCode9": 1,
      "UserDate1": "2026-01-01",
      "UserDate10": "2026-01-01",
      "UserDate11": "2026-01-01",
      "UserDate12": "2026-01-01",
      "UserDate13": "2026-01-01",
      "UserDate14": "2026-01-01",
      "UserDate15": "2026-01-01",
      "UserDate16": "2026-01-01",
      "UserDate17": "2026-01-01",
      "UserDate18": "2026-01-01",
      "UserDate19": "2026-01-01",
      "UserDate2": "2026-01-01",
      "UserDate20": "2026-01-01",
      "UserDate3": "2026-01-01",
      "UserDate4": "2026-01-01",
      "UserDate5": "2026-01-01",
      "UserDate6": "2026-01-01",
      "UserDate7": "2026-01-01",
      "UserDate8": "2026-01-01",
      "UserDate9": "2026-01-01",
      "UserId": 1,
      "UserNumber1": 1,
      "UserNumber10": 1,
      "UserNumber11": 1,
      "UserNumber12": 1,
      "UserNumber13": 1,
      "UserNumber14": 1,
      "UserNumber15": 1,
      "UserNumber16": 1,
      "UserNumber17": 1,
      "UserNumber18": 1,
      "UserNumber19": 1,
      "UserNumber2": 1,
      "UserNumber20": 1,
      "UserNumber3": 1,
      "UserNumber4": 1,
      "UserNumber5": 1,
      "UserNumber6": 1,
      "UserNumber7": 1,
      "UserNumber8": 1,
      "UserNumber9": 1,
      "UserRate1": 1,
      "UserRate10": 1,
      "UserRate11": 1,
      "UserRate12": 1,
      "UserRate13": 1,
      "UserRate14": 1,
      "UserRate15": 1,
      "UserRate16": 1,
      "UserRate17": 1,
      "UserRate18": 1,
      "UserRate19": 1,
      "UserRate2": 1,
      "UserRate20": 1,
      "UserRate3": 1,
      "UserRate4": 1,
      "UserRate5": 1,
      "UserRate6": 1,
      "UserRate7": 1,
      "UserRate8": 1,
      "UserRate9": 1
    }
  ],
  "Token": "text"
}

Last updated

Was this helpful?